import request from '@/utils/request'

// 查询收入明细列表
export function listCsIncomeDetails(query) {
  return request({
    url: '/cs/csIncomeDetails/list',
    method: 'get',
    params: query
  })
}

// 查询收入明细详细
export function getCsIncomeDetails(incomeDetailsId) {
  return request({
    url: '/cs/csIncomeDetails/' + incomeDetailsId,
    method: 'get'
  })
}

// 新增收入明细
export function addCsIncomeDetails(data) {
  return request({
    url: '/cs/csIncomeDetails',
    method: 'post',
    data: data
  })
}

// 修改收入明细
export function updateCsIncomeDetails(data) {
  return request({
    url: '/cs/csIncomeDetails',
    method: 'put',
    data: data
  })
}

// 删除收入明细
export function delCsIncomeDetails(incomeDetailsId) {
  return request({
    url: '/cs/csIncomeDetails/' + incomeDetailsId,
    method: 'delete'
  })
}
